spring:
  datasource:
    url: jdbc:postgresql://localhost:5432/Forms-Dev
    driver-class-name: org.postgresql.Driver
    username: ${CBM_DB_USER}
    password: ${CBM_DB_PASS}
  jpa:
    database-platform: org.hibernate.dialect.PostgreSQLDialect
  web:
    resources:
      static-locations: classpath:/static/
  flyway:
    baseline-on-migrate: true
    schemas: public
    enabled: true
    locations: classpath:db/migration
  mail:
    host: smtp.office365.com
    port: 587
    username: ${CBM_MAIL_USER}
    password: ${CBM_MAIL_PASS}
    properties:
      mail:
        smtp:
          port: 587
          auth: true
          starttls:
            enable: true
            required: true
          transport:
            protocol: smtp
cbm:
  htmlFormLocation: src/main/resources/static/html-forms/
  pdfFiles: "/home/cbmportal/public_html/portal/forms/generated-pdfs/"
  signSecret: ${CBM_JWT_Signing}
  dbuser: ${CBM_DB_USER}
  dbpass: ${CBM_DB_PASS}
  dbport: ${CBM_DB_PORT}
  mailPass: ${CBM_MAIL_PASS}
  mailUser: ${CBM_MAIL_USER}
server:
  port: 8443
  ssl:
    key-store: ${CBM_SSL_FILE}
    key-store-password: ${CBM_SpringKeyStore}
    keyStoreType: PKCS12
    keyAlias: cbm_springboot
logging:
  level:
    root: info
  file:
    name: /home/cbmportal/public_html/portal/forms/logging/cbm-portal-main.log
